package com.ruoyi.system.service;

import com.ruoyi.system.domain.GtgsZx;

import java.util.List;

/**
 * 注销前台Service接口
 * 
 * @author ruoyi
 * @date 2020-05-13
 */
public interface IGtgsZxService 
{
    /**
     * 查询注销前台
     * 
     * @param id 注销前台ID
     * @return 注销前台
     */
        GtgsZx selectGtgsZxById(String id);

    /**
     * 查询注销前台列表
     * 
     * @param gtgsZx 注销前台
     * @return 注销前台集合
     */
    List<GtgsZx> selectGtgsZxList(GtgsZx gtgsZx);

    /**
     * 新增注销前台
     * 
     * @param gtgsZx 注销前台
     * @return 结果
     */
    int insertGtgsZx(GtgsZx gtgsZx);

    /**
     * 修改注销前台
     * 
     * @param gtgsZx 注销前台
     * @return 结果
     */
    int updateGtgsZx(GtgsZx gtgsZx);

    /**
     * 修改注销前台
     *
     * @return 结果
     */
    int changeGtgsZxFlagTg(GtgsZx gtgsZx);
    /**
     * 批量删除注销前台
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deleteGtgsZxByIds(String ids);

    /**
     * 删除注销前台信息
     * 
     * @param id 注销前台ID
     * @return 结果
     */
    int deleteGtgsZxById(String id);
}
